<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "cnt4030";
$bitMod = "cnt";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultar':
		echo consultar();
		break;

	case 'guardar':
		echo guardar();
		break;
}

function consultar() {
	global $empCod;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];

	# QUERYS
	$sEmpresas = "SELECT emp.*,
				TRIM(emp.emp_nom) AS emp_nom  
				FROM empresas AS emp
				WHERE emp.emp_cod='$txtCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sEmpresas, "empresas");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "empresas");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);
	$dtFinie=utf8_decode($_POST['dtFinie']);
	$dtFciee=utf8_decode($_POST['dtFciee']);
	$dtFtrab=utf8_decode($_POST['dtFtrab']);

	# QUERYS PARA UN REGISTRO
	$uEmpresas = "UPDATE empresas SET emp_finie='$dtFinie',emp_fciee='$dtFciee',emp_ftrab='$dtFtrab',emp_ulcam='$usuNom' WHERE emp_cod='$txtCod'";
	$sEmpresas = "SELECT * FROM empresas WHERE emp_cod='$txtCod'";
	
	# EJECUCION DE QUERYS 
	$db = new dbExec();

	$resp = $db->uEx($uEmpresas);
	$db->iEx($func->iBitacora(utf8_decode("Se modificó Fechas o Tasa en la Empresa Codigo:  $txtCod Usuario: ").$usuNom, $bitMod, $bitForm));

	$_SESSION['empCod'] = $txtCod;
	$_SESSION['empNom'] = $txtNom;
	$_SESSION['empFinie'] = $dtFinie;
	$_SESSION['empFciee'] = $dtFciee;    
	$_SESSION['empFtrab'] = $dtFtrab;
	$select['empresas']=$db->sFetchAssoc($sEmpresas);
	$_SESSION['empNomc'] = utf8_encode($select['empresas']['emp_nomc']);
	$_SESSION['empDir'] = utf8_encode($select['empresas']['emp_dir']);
	$_SESSION['empTelpat'] = utf8_encode($select['empresas']['emp_telpat']);
	$_SESSION['empConso'] = utf8_encode($select['empresas']['emp_conso']);
	$_SESSION['empNit'] = utf8_encode($select['empresas']['emp_nit']);
	$_SESSION['empMoneda'] = utf8_encode($select['empresas']['emp_moneda']);
	$_SESSION['empCtaic'] = utf8_encode($select['empresas']['emp_ctaic']);
	$_SESSION['empCtaiv'] = utf8_encode($select['empresas']['emp_ctaiv']);
	$_SESSION['empCtarisr'] = utf8_encode($select['empresas']['emp_ctarisr']);
	$_SESSION['empCtariva'] = utf8_encode($select['empresas']['emp_ctariva']);
	$_SESSION['empCtacaj'] = utf8_encode($select['empresas']['emp_ctacaj']);
	$_SESSION['empCtacomb'] = utf8_encode($select['empresas']['emp_ctacomb']);
	$_SESSION['empCtaven'] = utf8_encode($select['empresas']['emp_ctaven']);
	$_SESSION['empCtaserv'] = utf8_encode($select['empresas']['emp_ctaserv']);
	$_SESSION['empCtaexport'] = utf8_encode($select['empresas']['emp_ctaexport']);
	$_SESSION['empPrensa'] = utf8_encode($select['empresas']['emp_prensa']);
	$_SESSION['empExensn'] = utf8_encode($select['empresas']['emp_exensn']);
	$_SESSION['empPequesn'] = utf8_encode($select['empresas']['emp_pequesn']);
	$db->close();

	return json_encode($resp);
}

?>